title: 'Attachments'
methods:
  -
    title: 'Create'
    path: '/attachments'
    method: 'post'
    headers:
      -
        name: 'Session-Token'
    parameters:
      -
        name: 'attachment_type'
        type: 'string'
        description: 'photo | video | other'
      -
        name: 'file'
        type: 'image'
      -
        name: 'order_index'
        type: 'integer'
    example_responses:
      -
        code: 200
        response: >
          {
            "message": "Attachment is saved",
            "url": "/system/attachments/files/000/000/005/original/Screenshot2018-01-17_13-17-33.png?1516197889",
            "id": 4
          }
      -
        code: 400
        response: >
          {
            "errors": [
              {
                "message": "File can't be blank"
              },
              {
                "message": "Attachment type can't be blank"
              }
            ]
          }
      -
        code: 400
        response: >
          {
            "errors": [
              {
                "message": "Access denied."
              }
            ]
          }
  -
    title: 'Destroy'
    path: '/attachments/:id'
    method: 'delete'
    headers:
      -
        name: 'Session-Token'
    example_responses:
      -
        code: 200
        response: >
          {
            "message": "Attachments is destroyed"
          }
      -
        code: 400
        response: >
          {
            "errors": [
              {
                "message": "Access denied."
              }
            ]
          }